## libthai 0.1.5

=== src/thbrk/tdict-preparation/Makefile ===
all: dictsort
	./dictsort

dictsort: dictsort.c tdict.nonsorted
	gcc -O2 -o dictsort dictsort.c

tdict.nonsorted: tdict.org tdict.local
	cat tdict.org tdict.local > tdict.nonsorted

clean: 
	rm -f dictsort dict2state map.c map.h *~ *.o \
	tdict.nonsorted tdict.txt

## libthai 0.1.13

=== debian/changelog ===
libthai (0.1.13-1build1) lucid; urgency=low

  * Cherry pick debian/patches/01_ftbfs-manpages.patch from Debian to turn
    off broken attempt to generate man pages and fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 Apr 2010 00:03:07 -0400

libthai (0.1.13-1) unstable; urgency=high

  * New upstream security update release
    - Fix integer overflow vulnerabilities (CVE-2009-4012).
  * debian/rules: Fix failure to build twice in a row:
    - Fix typo '$(MAKE) maintainerclan'
    - Clean other changed files left over from 'make maintainer-clean'
    - 'config.status' depends on 'configure.in' instead of 'configure'

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 15 Jan 2010 17:37:19 +0700

libthai (0.1.12-2) unstable; urgency=low

  * debian/control:
    - Update my e-mail address to @debian.org.
    - Drop DM-Upload-Allowed.
  * debian/copyright:
    - Update my e-mail address for debian/* to @debian.org.
  * debian/rules:
    - Run autoreconf instead of just updating config.{sub,guess}, as required
      by libtool
    - Run 'make maintainerclean' instead of 'make distclean' on clean target,
      to clear all autoconf-generated files
  * debian/control:
    - Build-Depends on libtool, automake, autoconf, for autoreconf.
    - Drop Build-Depends on autotools-dev
  * Switch to "3.0 (quilt)" source format.
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 10 Dec 2009 10:10:35 +0700

libthai (0.1.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Drop duplicated "section" fields for libthai0 and
    libthai-data [lintian].
  * Declare libthai0 as Enhances: kdelibs5.
  * Drop libthai.la, as kdelibs5 has now replaced substantial parts of KDE,
    obsoleting the last package set that requires it:
    - debian/libthai-dev.install: Remove *.la
    - debian/rules: Remove libthai.la dependency emptying code
    - debian/control: Remove Enhances: kdelibs declaration from libthai-dev
  * Shared lib updates due to symbol versioning:
    - debian/rules:
      + Bump shlib dep to 0.1.12
    - debian/libthai0.symbols:
      + Update symbols, setting minver to 0.1.12 for all symbols
  * Bump Standards-Version to 3.8.2 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 21 Jun 2009 08:34:02 +0700

libthai (0.1.11-3) unstable; urgency=low

  * Version libthai-dev dep on libdatrie-dev (>= 0.2.0).
  * debian/rules:
    - Empty the dependency_libs in the *.la files
    - Define LDFLAGS outside the configure line, for easy adjustment

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 15 Apr 2009 11:15:20 +0700

libthai (0.1.11-2) unstable; urgency=low

  * Version b-dep on libdatrie-dev (>= 0.2.0).
  * Drop versioned b-dep on dpkg-dev, as Vcs-Cvs: is no more needed.
  * Upload to unstable.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 13 Apr 2009 11:01:07 +0700

libthai (0.1.11-1) experimental; urgency=low

  * Versioned Conflicts on libdatrie0 (<< 0.1.4), i.e. lenny version, which
    lacked symbol versioning and caused symbol clashes.
  * New upstream release.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 06 Apr 2009 13:54:19 +0700

libthai (0.1.10-1) experimental; urgency=low

  * New upstream release, with updated dependency and data format change
    - Build-dep on libdatrie-dev (>= 0.2.0) instead of libdatrie0-dev
    - Build-dep on libdatrie1-bin instead of libdatrie-bin
    - libthai-dev depends on libdatrie-dev instead of libdatrie0-dev
    - libthai0 depends on libthai-data (>= 0.1.10)
    - libthai-data conflicts with libthai0 (<< 0.1.10)
  * VCS moved from CVS to SVN; update Vcs-* fields accordingly.
  * debian/libdatrie0.symbols: Add new export symbol '_libthai_on_unload';
    No shlibs version bump, because the new symbol is just for housekeeping
  * Bump debhelper compat to level 7
    - Bump debian/compat to 7
    - Build-dep on debhelper (>= 7)
    - debian/rules:
      + Replace obsoleted 'dh_clean -k' with 'dh_prep'
      + Remove *-stamp clean-ups in clean target, as dh_clean now does it
  * Update debian/copyright to proposal rev 454:
    - Add Upstream-Name:
    - Use Upstream-Maintainer: instead of Upstream-Author:
    - Use Upstream-Source: instead of Original-Source-Location:
    - Drop Packaged-By: and Packaged-Date:
    - Move 'Files: *' section to top
    - Replace GPL-2+ and LGPL-2+ license message with 'On Debian ...'
  * debian/copyright: Update copyright years
  * Bump Standards-Version to 3.8.1 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 30 Mar 2009 17:28:52 +0700

libthai (0.1.9-4) unstable; urgency=low

  * debian/libthai-doc.doc-base: Correct doc-base section (Programming).
  * debian/copyright: Update format to recent proposal.
  * debian/watch: Fix watch pattern so that only *.tar.gz is matched, not
    *.tar.gz.md5sum.
  * debian/rules: Use 'make -C $dir' instead of 'cd $dir; make'.
  * debian/control:
    - Add DM-Upload-Allowed
    - Bump Standards-Version to 3.8.0 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sat, 21 Jun 2008 11:16:43 +0700

libthai (0.1.9-3) unstable; urgency=low

  * Move libdatrie-bin from Build-Depends-Indp to Build-Depends, as it's still
    needed by the configure script even for arch builds.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Thu, 07 Feb 2008 20:11:50 +0700

libthai (0.1.9-2) unstable; urgency=low

  * Add back *.la, as it still remotely enhances kdelibs via KLibLoader, which
    weirdly requires *.la to dlopen(). This is temporary support for Thai KDE
    users, until Bug #444284 is fixed, or KDE 4 enters unstable.
  * Declare libthai-dev as Enhances: kdelibs. This declaration should be moved
    to libthai0 once kdelibs 4 is fixed to load libthai.so.0 instead; or be
    removed if kdelibs is eventually built with libthai dependency.
  * debian/copyright: Rewrite in machine-interpretable format.


=== debian/control ===
Source: libthai
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
Uploaders:  Loic Minier <lool@dooz.org>
Build-Depends: debhelper (>= 7), libtool, automake, autoconf, pkg-config,
 libdatrie-dev (>= 0.2.0), libdatrie1-bin
Build-Depends-Indep: doxygen
Standards-Version: 3.8.3
Vcs-Svn: http://linux.thai.net/svn/software/libthai
Vcs-Browser: http://linux.thai.net/websvn/wsvn/software.libthai/?sc=0
Homepage: http://libthai.sourceforge.net/

Package: libthai-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libthai0 (= ${binary:Version}),
 libdatrie-dev (>= 0.2.0)
Suggests: libthai-doc
Description: Development files for Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains the development libraries and header files you need to
 develop your programs using the LibThai library.

Package: libthai0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libthai-data (>= 0.1.10)
Enhances: kdelibs5
Conflicts: libdatrie0 (<< 0.1.4)
Description: Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains the shared libraries needed to run programs that use
 the LibThai library.

Package: libthai-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: libthai0 (<< 0.1.10)
Description: Data files for Thai language support library
 Data needed by LibThai library. It is usually automatically installed.

Package: libthai-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Description: Documentation files for Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains some documents about the LibThai library.

## libthai 0.1.14

=== debian/changelog ===
libthai (0.1.14-2ubuntu1) natty; urgency=low

  * Mark libthai-data and libthai-doc as Multi-Arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Mar 2011 15:54:16 -0800

libthai (0.1.14-2) unstable; urgency=medium

  * Urgency medium due to RC bug fix.
  * patches/01_ftbfs-manpages.patch: Added to turn off manpages generation,
    which are unused anyway. (Closes: #573663)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 14 Mar 2010 16:58:52 +0700

libthai (0.1.14-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 28 Feb 2010 13:25:47 +0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7), libtool, automake, autoconf, pkg-config,
  libdatrie-dev (>= 0.2.0), libdatrie1-bin
 Build-Depends-Indep: doxygen
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Svn: http://linux.thai.net/svn/software/libthai
 Vcs-Browser: http://linux.thai.net/websvn/wsvn/software.libthai/?sc=0
 Homepage: http://libthai.sourceforge.net/
@@ -45,6 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Conflicts: libthai0 (<< 0.1.10)
+Multi-Arch: foreign
 Description: Data files for Thai language support library
  Data needed by LibThai library. It is usually automatically installed.
 
@@ -52,6 +53,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, lynx | www-browser
+Multi-Arch: foreign
 Description: Documentation files for Thai language support library
  LibThai is a set of Thai language support routines aimed to ease
  developers' tasks to incorporate Thai language support in their applications.

## libthai 0.1.15

=== debian/changelog ===
libthai (0.1.15-2) unstable; urgency=low

  * Merge Ubuntu changes (build for multiarch)
    - Build-dep on debhelper (>= 8.1.3)
    - Add "Pre-Depends: ${misc:Pre-Depends}" for libthai0
    - Add DEB_HOST_MULTIARCH and pass it to --libdir as a subdir
      under /usr/lib in configure
    - Replace /usr/lib/ with /usr/lib/*/ in {libthai0,libthai-dev}.install
    - Add "Multi-Arch: same" for libthai0
  * Use dh-autoreconf instead of direct autoreconf call and manual cleanups
    - Build-dep on dh-autoreconf
    - Call dh_autoreconf on configure and dh_autoreconf_clean on clean
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Mon, 20 Jun 2011 16:33:40 +0700

libthai (0.1.15-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Jun 2011 22:34:07 -0700

libthai (0.1.15-1) unstable; urgency=low

  * New upstream release.
    - patches/01_ftbfs-manpages.patch: Drop, merged upstream.
  * debian/copyright:
    - Updated to DEP-5 rev 173.
    - Update copyright years.
  * Drop Conflicts on libdatrie0: it's not really a conflict, just for
    clean-up purpose, which can be done by apt auto-remove.
  * Mark libthai-data and libthai-doc as "Multi-Arch: foreign" in preparation
    for multi-arch environment to come. (Closes: #616503)
  * debian/rules:
    - Drop unnecessary --infodir & --mandir configure options.
    - Completely split arch/indep build rules, so they are configured
      separately. Now dictionary is not built for binary-arch. Not only doc
      is excluded.
    - build target does nothing, binary-arch and binary-indep do its job.
    - autoreconf is done only once if binary-arch and binary-indep are
      invoked together.
  * Move libdatrie1-bin from B-Dep to B-Dep-Indep, as now allowed by
    debian/rules.
  * Bump Standards-Version to 3.9.1:
    - libthai-data Breaks, instead of Conflicts, old libthai0.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 24 Mar 2011 19:06:40 +0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libthai
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
+Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
 Uploaders:  Loic Minier <lool@dooz.org>
-Build-Depends: debhelper (>= 7), libtool, automake, autoconf, pkg-config,
- libdatrie-dev (>= 0.2.0), libdatrie1-bin
-Build-Depends-Indep: doxygen
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, pkg-config,
+ libdatrie-dev (>= 0.2.0)
+Build-Depends-Indep: doxygen, libdatrie1-bin
+Standards-Version: 3.9.2
 Vcs-Svn: http://linux.thai.net/svn/software/libthai
 Vcs-Browser: http://linux.thai.net/websvn/wsvn/software.libthai/?sc=0
 Homepage: http://libthai.sourceforge.net/
@@ -30,8 +29,9 @@
 Package: libthai0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libthai-data (>= 0.1.10)
+Pre-Depends: ${misc:Pre-Depends}
 Enhances: kdelibs5
-Conflicts: libdatrie0 (<< 0.1.4)
+Multi-Arch: same
 Description: Thai language support library
  LibThai is a set of Thai language support routines aimed to ease
  developers' tasks to incorporate Thai language support in their applications.
@@ -43,17 +43,17 @@
 
 Package: libthai-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: libthai0 (<< 0.1.10)
-Multi-Arch: foreign
+Breaks: libthai0 (<< 0.1.10)
 Description: Data files for Thai language support library
  Data needed by LibThai library. It is usually automatically installed.
 
 Package: libthai-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, lynx | www-browser
-Multi-Arch: foreign
 Description: Documentation files for Thai language support library
  LibThai is a set of Thai language support routines aimed to ease
  developers' tasks to incorporate Thai language support in their applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	build_flags = --build=$(DEB_BUILD_GNU_TYPE)
else
	build_flags = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

LDFLAGS = -Wl,-z,defs

SHARED_PKG := libthai0
SHLIB_VER := 0.1.12

reconf: reconf-stamp
reconf-stamp: configure.in
	dh_testdir

	[ -d m4 ] || mkdir m4
	dh_autoreconf

	touch $@

config-indep: config-indep-stamp
config-indep-stamp: reconf
	dh_testdir

	rm -f config-arch-stamp

	./configure --prefix=/usr --enable-dict

	touch $@

config-arch: config-arch-stamp
config-arch-stamp: reconf
	dh_testdir

	rm -f config-indep-stamp

	./configure $(build_flags) --prefix=/usr --disable-dict \
	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	  --enable-shared CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config-indep
	dh_testdir

	$(MAKE) -C data
	$(MAKE) -C doc

	touch $@

build-arch: build-arch-stamp
build-arch-stamp:  config-arch
	dh_testdir

	$(MAKE) -C src

	touch $@

build:

clean:
	dh_testdir
	dh_testroot

	dh_autoreconf_clean

	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	$(MAKE) -C data install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C doc  install DESTDIR=$(CURDIR)/debian/tmp

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	$(MAKE) -C include install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C src     install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install-am DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s ChangeLog
	dh_installdocs -s
	dh_install -s --sourcedir=debian/tmp
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s -p$(SHARED_PKG) -V '$(SHARED_PKG) (>= $(SHLIB_VER))'
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: reconf config-indep config-arch build build-indep build-arch clean binary-indep binary-arch binary

## libthai 0.1.16

=== debian/changelog ===
libthai (0.1.16-3) unstable; urgency=low

  * Set Vcs-Git and Vcs-Browser to alioth
  * Update enhance list, as kdelibs5 no longer exists
    - The enhanced subpackage of kde4libs is libkhtml5, which requires
      libthai-dev (for libthai.so), not just libthai0.
    - libthai0 also enhances libqtcore4 and libqtgui4.
  * debian/control, debian/copyright: Apply wrap-and-sort
  * Point Homepage directly to linux.thai.net page
  * Use full description for libthai-data again.
    It could be installed manually as an alternative dictionary for swath.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 23 Dec 2011 07:54:57 +0700

libthai (0.1.16-2) unstable; urgency=low

  * debian/copyright:
    - Upstream license is actually LGPL-2.1, not 2.0.
    - Add extended text for LGPL-2.1 and GPL-2.
  * debian/rules:
    - Add back upstream 'make distclean' that was lost in 0.1.15-2, so it
      builds twice in a row again.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 17 Nov 2011 16:14:53 +0700

libthai (0.1.16-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Use non-forwarding format URL. Bump to revision 202.
  * Use hardening build flags:
    - B-Dep on dpkg-dev (>= 0.16.1~) for dpkg-buildflags
    - Obtain build flags from dpkg-buildflags
    - Drop old CFLAGS & LDFLAGS, as now overridden by dpkg-buildflags

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 05 Nov 2011 16:06:12 +0700

=== debian/control ===
Source: libthai
Priority: optional
Section: libs
Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
Uploaders: Loic Minier <lool@dooz.org>
Build-Depends:
 debhelper (>= 8.1.3),
 dh-autoreconf,
 dpkg-dev (>= 0.16.1~),
 libdatrie-dev (>= 0.2.0),
 pkg-config
Build-Depends-Indep: doxygen, libdatrie1-bin
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/libthai.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
Homepage: http://linux.thai.net/projects/libthai

Package: libthai-dev
Section: libdevel
Architecture: any
Depends:
 libdatrie-dev (>= 0.2.0),
 libthai0 (= ${binary:Version}),
 ${misc:Depends}
Suggests: libthai-doc
Enhances: libkhtml5
Description: Development files for Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains the development libraries and header files you need to
 develop your programs using the LibThai library.

Package: libthai0
Architecture: any
Multi-Arch: same
Depends: libthai-data (>= 0.1.10), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Enhances: libqtcore4, libqtgui4
Description: Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains the shared libraries needed to run programs that use
 the LibThai library.

Package: libthai-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libthai0 (<< 0.1.10)
Description: Data files for Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains data files needed by the LibThai library.

Package: libthai-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: lynx | www-browser, ${misc:Depends}
Description: Documentation files for Thai language support library
 LibThai is a set of Thai language support routines aimed to ease
 developers' tasks to incorporate Thai language support in their applications.
 It includes important Thai-specific functions e.g. word breaking, input and
 output methods as well as basic character and string supports.
 .
 This package contains documents about the LibThai library.

=== debian/rules ===
--- 
+++ 
@@ -16,16 +16,8 @@
 	build_flags = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-LDFLAGS = -Wl,-z,defs
+dpkg-buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+pie,+bindnow" dpkg-buildflags
+build_flags += $(shell $(dpkg-buildflags) --export=configure)
 
 SHARED_PKG := libthai0
 SHLIB_VER := 0.1.12
@@ -55,9 +47,9 @@
 
 	rm -f config-indep-stamp
 
-	./configure $(build_flags) --prefix=/usr --disable-dict \
+	./configure --prefix=/usr --disable-dict \
 	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-	  --enable-shared CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	  --enable-shared $(build_flags)
 
 	touch $@
 
@@ -84,6 +76,7 @@
 	dh_testdir
 	dh_testroot
 
+	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_autoreconf_clean
 
 	dh_clean

## libthai 0.1.17

=== debian/changelog ===
libthai (0.1.17-1) unstable; urgency=low

  * B-Dep on dpkg-dev 1.16.1, not 0.16.1.
  * Imported Upstream version 0.1.17
  * Update copyright years

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 21 Feb 2012 14:26:37 +0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8.1.3),
  dh-autoreconf,
- dpkg-dev (>= 0.16.1~),
+ dpkg-dev (>= 1.16.1~),
  libdatrie-dev (>= 0.2.0),
  pkg-config
 Build-Depends-Indep: doxygen, libdatrie1-bin

## libthai 0.1.18

=== debian/changelog ===
libthai (0.1.18-2) unstable; urgency=low

  * Build with xz compression.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 10 Aug 2012 17:44:51 +0700

libthai (0.1.18-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 with changes.
     * Update debian/copyright Format: URL to 'packaging-manuals' one.
  * Imported Upstream version 0.1.18
  * debian/copyright: Fix duplicated Copyright fields [lintian]

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 12 Jun 2012 23:27:29 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libdatrie-dev (>= 0.2.0),
  pkg-config
 Build-Depends-Indep: doxygen, libdatrie1-bin
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/libthai.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
 Homepage: http://linux.thai.net/projects/libthai

=== debian/rules ===
--- 
+++ 
@@ -113,7 +113,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependent files here.
 binary-arch: build-arch install-arch
@@ -131,7 +131,7 @@
 	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
-	dh_builddeb -s
+	dh_builddeb -s -- -Zxz
 
 binary: binary-indep binary-arch
 .PHONY: reconf config-indep config-arch build build-indep build-arch clean binary-indep binary-arch binary

## libthai 0.1.19

=== debian/changelog ===
libthai (0.1.19-2) unstable; urgency=low

  * Upload to unstable.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 09 May 2013 23:09:51 +0700

libthai (0.1.19-1) experimental; urgency=low

  * Imported Upstream version 0.1.19
  * debian/libthai0.symbols: Updated as per upstream.
  * debian/rules: Replace configure.in referrals with configure.ac.
  * debian/copyright: Update copyright years.
  * debian/watch: Watch upstream .tar.xz instead of .tar.gz.
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 29 Jan 2013 13:44:20 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libdatrie-dev (>= 0.2.0),
  pkg-config
 Build-Depends-Indep: doxygen, libdatrie1-bin
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/libthai.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
 Homepage: http://linux.thai.net/projects/libthai

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SHLIB_VER := 0.1.12
 
 reconf: reconf-stamp
-reconf-stamp: configure.in
+reconf-stamp: configure.ac
 	dh_testdir
 
 	[ -d m4 ] || mkdir m4

## libthai 0.1.20

=== debian/changelog ===
libthai (0.1.20-1) unstable; urgency=low

  * Use canonical anonscm URIs in Vcs-* fields.
  * Imported Upstream version 0.1.20
  * Fix null config/build stage on binary-* target
    - debian/rules: Make *-stamp targets depend on other *-stamp targets
      rather than on phony targets which made it effectively phony, too.
  * debian/rules: Drop build-* from binary-* dependencies.
    They are aleady transitive dependencies for install-* targets.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 25 Oct 2013 15:52:38 +0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  pkg-config
 Build-Depends-Indep: doxygen, libdatrie1-bin
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/libthai.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libthai.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
 Homepage: http://linux.thai.net/projects/libthai

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	touch $@
 
 config-indep: config-indep-stamp
-config-indep-stamp: reconf
+config-indep-stamp: reconf-stamp
 	dh_testdir
 
 	rm -f config-arch-stamp
@@ -42,7 +42,7 @@
 	touch $@
 
 config-arch: config-arch-stamp
-config-arch-stamp: reconf
+config-arch-stamp: reconf-stamp
 	dh_testdir
 
 	rm -f config-indep-stamp
@@ -54,7 +54,7 @@
 	touch $@
 
 build-indep: build-indep-stamp
-build-indep-stamp:  config-indep
+build-indep-stamp: config-indep-stamp
 	dh_testdir
 
 	$(MAKE) -C data
@@ -63,7 +63,7 @@
 	touch $@
 
 build-arch: build-arch-stamp
-build-arch-stamp:  config-arch
+build-arch-stamp: config-arch-stamp
 	dh_testdir
 
 	$(MAKE) -C src
@@ -101,7 +101,7 @@
 	$(MAKE) install-am DESTDIR=$(CURDIR)/debian/tmp
 
 # Build architecture-independent files here.
-binary-indep: build-indep install-indep
+binary-indep: install-indep
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -i ChangeLog
@@ -116,7 +116,7 @@
 	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependent files here.
-binary-arch: build-arch install-arch
+binary-arch: install-arch
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -s ChangeLog

## libthai 0.1.21

=== debian/changelog ===
libthai (0.1.21-1) unstable; urgency=medium

  * Simplify debian/rules.
    No need to config arch and indep differently. Both need dictionary now.
    - Merge config-{arch,indep}, reconf targets into single (and simple)
      config.status target.
    - Drop now-unneeded phonies.
  * Imported Upstream version 0.1.21
  * Drop patch taken from upstream

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 21 Aug 2014 12:21:39 +0700

libthai (0.1.20-3) unstable; urgency=medium

  * Fix arch-only FTBFS due to failure in test suite.
    In build-arch target, dictionary should be built before test suite is run.
    - debian/control: Move libdatrie1-bin from B-Dep-Indep to B-Dep.
    - debian/rules: Configure with --enable-dict and also build data/ before
      running checks.
    (Closes: #735183)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 14 Jan 2014 15:55:01 +0700

libthai (0.1.20-2) unstable; urgency=medium

  * Drop explicit rules for xz compression
    dpkg-dev (>= 1.17.0) already does this by default.
  * Declare libthai-dev M-A: same
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update copyright years
  * Run test suites after build
  * Drop versioned B-Dep on libdatrie-dev.
    Even squeeze version already satisfies it.
  * Also drop versioned Dep on libdatrie-dev from libthai-dev
  * Fix compiler warning in test suite
    - debian/patches/01_test-thbrk-warning.patch: Taken from upstream to fix
      warning in tests/test_thbrk.c.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 12 Jan 2014 09:21:06 +0700

=== debian/rules ===
--- 
+++ 
@@ -22,39 +22,18 @@
 SHARED_PKG := libthai0
 SHLIB_VER := 0.1.12
 
-reconf: reconf-stamp
-reconf-stamp: configure.ac
+config.status: configure.ac
 	dh_testdir
 
 	[ -d m4 ] || mkdir m4
 	dh_autoreconf
 
-	touch $@
-
-config-indep: config-indep-stamp
-config-indep-stamp: reconf-stamp
-	dh_testdir
-
-	rm -f config-arch-stamp
-
-	./configure --prefix=/usr --enable-dict
-
-	touch $@
-
-config-arch: config-arch-stamp
-config-arch-stamp: reconf-stamp
-	dh_testdir
-
-	rm -f config-indep-stamp
-
-	./configure --prefix=/usr --disable-dict \
+	./configure --prefix=/usr --enable-dict \
 	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	  --enable-shared $(build_flags)
 
-	touch $@
-
 build-indep: build-indep-stamp
-build-indep-stamp: config-indep-stamp
+build-indep-stamp: config.status
 	dh_testdir
 
 	$(MAKE) -C data
@@ -63,10 +42,14 @@
 	touch $@
 
 build-arch: build-arch-stamp
-build-arch-stamp: config-arch-stamp
+build-arch-stamp: config.status
 	dh_testdir
 
 	$(MAKE) -C src
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) -C data
+	$(MAKE) -C tests check
+endif
 
 	touch $@
 
@@ -113,7 +96,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Zxz
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: install-arch
@@ -131,7 +114,7 @@
 	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
-	dh_builddeb -s -- -Zxz
+	dh_builddeb -s
 
 binary: binary-indep binary-arch
-.PHONY: reconf config-indep config-arch build build-indep build-arch clean binary-indep binary-arch binary
+.PHONY: build build-indep build-arch clean binary-indep binary-arch binary

## libthai 0.1.22

=== debian/changelog ===
libthai (0.1.22-2) unstable; urgency=medium

  * Add maintscript to handle symlink-to-dir in -dev package.
    - d/libdatrie-dev.maintscript: Add maintscript.
    - d/control: Add Pre-Depends for the maintscript helper.
    (Closes: #788164)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 10 Jun 2015 13:59:14 +0700

libthai (0.1.22-1) unstable; urgency=medium

  * Install libthai-dev docs as symlinks.
  * Imported Upstream version 0.1.22
  * Specify versioned b-dep for doxygen, as per upstream
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 08 May 2015 12:04:21 +0700

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  debhelper (>= 8.1.3),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
- libdatrie-dev (>= 0.2.0),
+ libdatrie-dev,
+ libdatrie1-bin,
  pkg-config
-Build-Depends-Indep: doxygen, libdatrie1-bin
-Standards-Version: 3.9.4
+Build-Depends-Indep: doxygen (>= 1.8.8)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/libthai.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
 Homepage: http://linux.thai.net/projects/libthai
@@ -18,8 +19,10 @@
 Package: libthai-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
- libdatrie-dev (>= 0.2.0),
+ libdatrie-dev,
  libthai0 (= ${binary:Version}),
  ${misc:Depends}
 Suggests: libthai-doc

=== debian/rules ===
--- 
+++ 
@@ -102,8 +102,9 @@
 binary-arch: install-arch
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -s ChangeLog
-	dh_installdocs -s
+	dh_installchangelogs -Nlibthai-dev -s ChangeLog
+	dh_installdocs -plibthai-dev --link-doc=libthai0
+	dh_installdocs --remaining-packages -s
 	dh_install -s --sourcedir=debian/tmp
 	dh_link -s
 	dh_strip -s

## libthai 0.1.24

=== debian/changelog ===
libthai (0.1.24-2) unstable; urgency=medium

  * Use system jquery.js for doc package [lintian].
    - d/control: Add dependency on libjs-jquery.
    - d/rules: Exclude jquery.js on dh_install.
    - d/libthai-doc.links: Add symlinks for jquery.js to system file.
    - d/control: Demote web browser from Depends to Suggests;
      Use iceweasel instead of lynx.
  * Convert rules to dh.
    - d/rules: Rewrite rules using dh with appropriate overrides.
    - d/compat: Bump to level 9, to get multiarch support from dh.
    - d/control: B-Dep on debhelper >= 9.
  * Use HTTPS in Vcs-* fields [lintian].
  * Fix FTBFS with GCC 6 on scim-thai.
    - 01_gcc6-ftbfs.patch: Cherry-pick upstream patch to fix FTBFS with GCC 6
      on scim-thai. (Closes: #811690)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 02 Feb 2016 12:19:51 +0700

libthai (0.1.24-1) unstable; urgency=high

  * Imported Upstream version 0.1.24
    - Fix infinite loop introduced in previous version.
      Thanks Zack Weinberg for the report. (Closes: #805703)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 22 Nov 2015 16:34:32 +0700

libthai (0.1.23-1) unstable; urgency=medium

  * Imported Upstream version 0.1.23 (Closes: #803374)
  * Add B-Dep on autoconf-archive required to autoreconf new upstream.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 03 Nov 2015 12:16:06 +0700

libthai (0.1.22-3) unstable; urgency=medium

  * Build udeb for d-i (Closes: #800369)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 09 Oct 2015 10:28:55 +0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
 Uploaders: Loic Minier <lool@dooz.org>
 Build-Depends:
- debhelper (>= 8.1.3),
+ autoconf-archive,
+ debhelper (>= 9),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
  libdatrie-dev,
@@ -12,8 +13,8 @@
  pkg-config
 Build-Depends-Indep: doxygen (>= 1.8.8)
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libthai.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libthai.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
 Homepage: http://linux.thai.net/projects/libthai
 
 Package: libthai-dev
@@ -68,7 +69,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: lynx | www-browser, ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
+Suggests: iceweasel | www-browser
 Description: Documentation files for Thai language support library
  LibThai is a set of Thai language support routines aimed to ease
  developers' tasks to incorporate Thai language support in their applications.
@@ -76,3 +78,34 @@
  output methods as well as basic character and string supports.
  .
  This package contains documents about the LibThai library.
+
+Package: libthai0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: libthai-data-udeb (>= 0.1.10), ${misc:Depends}, ${shlibs:Depends}
+Description: Thai language support library for D-I use
+ This is a microdeb for the debian-installer.
+ .
+ LibThai is a set of Thai language support routines aimed to ease
+ developers' tasks to incorporate Thai language support in their applications.
+ It includes important Thai-specific functions e.g. word breaking, input and
+ output methods as well as basic character and string supports.
+ .
+ This package provides the shared library needed by the debian-installer.
+
+Package: libthai-data-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: all
+Depends: ${misc:Depends}
+Description: Data files for libthai for D-I use
+ This is a microdeb for the debian-installer.
+ .
+ LibThai is a set of Thai language support routines aimed to ease
+ developers' tasks to incorporate Thai language support in their applications.
+ It includes important Thai-specific functions e.g. word breaking, input and
+ output methods as well as basic character and string supports.
+ .
+ This package provides data files needed by the LibThai library under
+ the debian-installer's environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHARED_PKG := libthai0
SHLIB_VER := 0.1.12

%:
	dh $@ --with autoreconf

override_dh_auto_build-indep:
	$(MAKE) -C data
	$(MAKE) -C doc

override_dh_auto_build-arch:
	$(MAKE) -C src

# No test for data, doc
override_dh_auto_test-indep:

override_dh_auto_test-arch:
	$(MAKE) -C data
	$(MAKE) -C tests check

override_dh_auto_install-indep:
	$(MAKE) -C data install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C doc  install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_install-arch:
	$(MAKE) -C include install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C src     install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_install-indep:
	dh_install -i -Xjquery.js

override_dh_installchangelogs-arch:
	dh_installchangelogs -Nlibthai-dev -s ChangeLog

override_dh_installdocs-arch:
	dh_installdocs -plibthai-dev --link-doc=libthai0
	dh_installdocs --remaining-packages -s

override_dh_makeshlibs:
	dh_makeshlibs -s -p$(SHARED_PKG) -V '$(SHARED_PKG) (>= $(SHLIB_VER))' \
		--add-udeb="libthai0-udeb"

=== debian/watch ===
version=3
opts=pasv ftp://linux.thai.net/pub/thailinux/software/libthai/libthai-([\d+\.]+|\d+)\.tar\.xz debian uupdate

## libthai 0.1.25

=== debian/changelog ===
libthai (0.1.25-1) unstable; urgency=medium

  * Imported Upstream version 0.1.25
  * debian/patches/01_gcc6-ftbfs.patch:
    - Drop patch taken from upstream.
  * debian/libthai0.symbols: Updated for new functions.
  * Use cgit in Vcs-Browser.
  * debian/copyright: Update years & e-mail address.
  * Bump Standards-Version to 3.9.8, with changes:
    - Install doc in from libthai-doc under /usr/share/doc/libthai
      instead of /usr/share/doc/libthai-doc, as recommended in Section 12.3
  * Update author e-mail address in doc-base.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 28 Jun 2016 15:29:34 +0700

## libthai 0.1.26

=== debian/changelog ===
libthai (0.1.26-1) unstable; urgency=medium

  * New upstream version 0.1.26
  * Explicitly add hardening build flags to get "bindnow" [lintian]

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 14 Dec 2016 23:31:12 +0700

libthai (0.1.25-2) unstable; urgency=medium

  * Correctly install doc according to Policy 12.3
    - Install doc under libthai0 doc dir (/usr/share/doc/libthai0),
      not a separate dir without the ending "0".
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck.
    Thanks Helmut Grohne for the report and patch. (Closes: #840812)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 15 Oct 2016 16:04:01 +0700

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libdatrie1-bin,
  pkg-config
 Build-Depends-Indep: doxygen (>= 1.8.8)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libthai.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libthai.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libthai.git
 Homepage: http://linux.thai.net/projects/libthai
 
 Package: libthai-dev

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SHARED_PKG := libthai0
 SHLIB_VER := 0.1.12
@@ -20,9 +22,11 @@
 # No test for data, doc
 override_dh_auto_test-indep:
 
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 override_dh_auto_test-arch:
 	$(MAKE) -C data
 	$(MAKE) -C tests check
+endif
 
 override_dh_auto_install-indep:
 	$(MAKE) -C data install DESTDIR=$(CURDIR)/debian/tmp

## libthai 0.1.27

=== debian/changelog ===
libthai (0.1.27-2) unstable; urgency=medium

  * Update Vcs fields for migration to salsa.debian.org
  * Bump debhelper compat to level 11
    - d/compat: 10 -> 11
    - d/control: Bump debhelper version to >= 11
    - d/rules, d/libthai-doc.docs, -d/libthai-doc.install:
      Use dh 11 dh_installdocs to install generated doc directly
      instead of using upstream install, as 'nodoc' DEB_BUILD_OPTIONS
      is now supported with more concise steps.
    - d/libthai-doc.docs:
      Don't install NEWS et. al., to avoid conflicts with libthai0
  * Bump Standards-Version to 4.1.3 (no changes)
  * d/copyright: Update years

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 16 Feb 2018 14:49:29 +0700

libthai (0.1.27-1) unstable; urgency=medium

  * Add autopkgtest test suite
    - d/control: Add Testsuite: entry
    - +d/tests/control, +d/tests/build: Add test building against libthai
  * New upstream version 0.1.27
  * d/control: Drop unneeded Testsuite field [lintian]
    - Remove Testsite field
    - Bump dpkg-dev versioned dep to 1.17.1~, as suggested by lintian
  * Bump Standards-Version to 4.1.1 (no changes)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 25 Oct 2017 10:15:01 +0700

libthai (0.1.26-3) unstable; urgency=medium

  * Bump debhelper compat to level 10
    - d/compat: 9 -> 10
    - Bump debhelper B-Dep version to 10
    - Drop dh-autoreconf B-Dep which is already pulled in by debhelper 10
  * d/rules: Replace $(MAKE) with dh_auto_* to support parallel build
    except dh_auto_install, as it can't reach install-am target
  * d/rules: Do not generate/install doc on nodoc DEB_BUILD_OPTIONS
    (Policy 4.0.0 Section 4.9.1)
  * d/rules: Pass -a instead of deprecated -s to dh_*
  * Update d/copyright
    - Use HTTPS in Format URL
    - Update years
  * d/control: Use HTTPS in upstream Homepage

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 29 Jul 2017 17:44:02 +0700

libthai (0.1.26-2) unstable; urgency=medium

  * Fix watch file to use https instead of ftp.
  * Bump Standards-Version to 4.0.0.
  * Drop myself from Uploaders.

 -- Loïc Minier <lool@debian.org>  Sun, 09 Jul 2017 22:02:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,18 @@
 Priority: optional
 Section: libs
 Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
-Uploaders: Loic Minier <lool@dooz.org>
 Build-Depends:
  autoconf-archive,
- debhelper (>= 9),
- dh-autoreconf,
- dpkg-dev (>= 1.16.1~),
+ debhelper (>= 11),
+ dpkg-dev (>= 1.17.1~),
  libdatrie-dev,
  libdatrie1-bin,
  pkg-config
 Build-Depends-Indep: doxygen (>= 1.8.8)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libthai.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libthai.git
-Homepage: http://linux.thai.net/projects/libthai
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/libthai.git
+Vcs-Browser: https://salsa.debian.org/debian/libthai
+Homepage: https://linux.thai.net/projects/libthai
 
 Package: libthai-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SHARED_PKG := libthai0
SHLIB_VER := 0.1.12

%:
	dh $@ --with autoreconf

override_dh_auto_build-indep:
	dh_auto_build -- -C data
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	dh_auto_build -- -C doc
endif

override_dh_auto_build-arch:
	dh_auto_build -- -C src

# No test for data, doc
override_dh_auto_test-indep:

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_test-arch:
	dh_auto_build -- -C data
	dh_auto_test -- -C tests
endif

override_dh_auto_install-indep:
	$(MAKE) -C data install DESTDIR=$(CURDIR)/debian/tmp
	# Don't install doc here, as we'll do so with dh_installdocs later

override_dh_auto_install-arch:
	$(MAKE) -C include install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C src     install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_link-indep:
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	dh_link -i
else
	dh_link -Nlibthai-doc -i
endif

override_dh_installdocs-indep:
	dh_installdocs -plibthai-doc --doc-main-package=libthai0 -Xjquery.js
	dh_installdocs --remaining-packages -i

override_dh_installchangelogs-arch:
	dh_installchangelogs -Nlibthai-dev -a ChangeLog

override_dh_installdocs-arch:
	dh_installdocs -plibthai-dev --link-doc=libthai0
	dh_installdocs --remaining-packages -a

override_dh_makeshlibs:
	dh_makeshlibs -a -p$(SHARED_PKG) -V '$(SHARED_PKG) (>= $(SHLIB_VER))' \
		--add-udeb="libthai0-udeb"
